# Class AxisTableDeserializerFactory

java.lang.Object
uk.ac.starlink.votable.soap.AxisTableDeserializerFactory

All Implemented Interfaces:
  `Serializable, javax.xml.rpc.encoding.DeserializerFactory, org.apache.axis.encoding.DeserializerFactory`

public class AxisTableDeserializerFactory extends Object implements org.apache.axis.encoding.DeserializerFactory
Custom deserializer factory for streaming StarTables using AXIS.

Since:
  23 Mar 2005
Author:
  Mark Taylor (Starlink)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AxisTableDeserializerFactory()`

## Method Summary

Modifier and Type
Method
Description
`javax.xml.rpc.encoding.Deserializer`
`getDeserializerAs(String mechanismType)`
`Iterator<String>`
`getSupportedMechanismTypes()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AxisTableDeserializerFactory

public AxisTableDeserializerFactory()

## Method Details

### getDeserializerAs

public javax.xml.rpc.encoding.Deserializer getDeserializerAs(String mechanismType)

Specified by:
  `getDeserializerAs` in interface `javax.xml.rpc.encoding.DeserializerFactory`

### getSupportedMechanismTypes

public Iterator<String> getSupportedMechanismTypes()

Specified by:
  `getSupportedMechanismTypes` in interface `javax.xml.rpc.encoding.DeserializerFactory`